### Method

# Pango GlyphString x_to_index

#### Declaration [src]

    void
    pango_glyph_string_x_to_index (
      PangoGlyphString* glyphs,
      char* text,
      int length,
      PangoAnalysis* analysis,
      int x_pos,
      int* index_,
      int* trailing
    )

#### Description [src]

Convert from x offset to character position.

Character positions are computed by dividing up each cluster into equal portions. In scripts where positioning within a cluster is not allowed (such as Thai), the returned value may not be a valid cursor position; the caller must combine the result with the logical attributes for the text to compute the valid cursor position.

#### Parameters

`text` | `char*`
| The text for the run.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.
`length` | `int`
| The number of bytes (not characters) in text.
`analysis` | `PangoAnalysis`
| The analysis information return from `pango_itemize()`
| The data is owned by the caller of the function.
`x_pos` | `int`
| The x offset (in Pango units)
`index_` | `int*`
| Location to store calculated byte index within `text`.
| The argument will be set by the function.
| The instance takes ownership of the data, and is responsible for freeing it.
`trailing` | `int*`
| Location to store a boolean indicating whether the user clicked on the leading or trailing edge of the character.
| The argument will be set by the function.
| The instance takes ownership of the data, and is responsible for freeing it.